unit FormEditInsertUnit;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  Data.DB,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.Controls.Presentation, FMX.Edit, System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components;

type
  TEditInsertForm = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    BindingsList1: TBindingsList;
    LinkControlToField1: TLinkControlToField;
    Label2: TLabel;
    Edit2: TEdit;
    LinkControlToField2: TLinkControlToField;
    CheckBox1: TCheckBox;
    Label3: TLabel;
    LinkControlToField3: TLinkControlToField;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Label4: TLabel;
  private
    { Private declarations }
  public
    { Public declarations }
    function ShowFormForEditInsert(isInsert: Boolean): TModalResult;
  end;

var
  EditInsertForm: TEditInsertForm;

implementation

{$R *.fmx}

uses MainGridUnit;

{ TForm2 }

function TEditInsertForm.ShowFormForEditInsert(isInsert: Boolean): TModalResult;
begin
  if isInsert then
    GridForm.FDQuery1.Insert
  else
    GridForm.FDQuery1.Edit;

  case GridForm.FDQuery1.State of
    dsInsert: Label4.Text := 'FDQuery1.State = dsInsert';
    dsEdit:   Label4.Text := 'FDQuery1.State = dsEdit';
    dsBrowse: Label4.Text := 'FDQuery1.State = dsBrowse';
    else Label4.Text := Format('FDQuery1.State = [%d]', [IntToStr(Ord(GridForm.FDQuery1.State))]);
  end;

  Result := ShowModal;

  if Result = mrOK then
    GridForm.FDQuery1.Post
  else
    GridForm.FDQuery1.Cancel;
end;

end.
